# -*- coding: utf-8 -*-
# Generated by Django 1.11.6 on 2020-06-18 19:09
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ("hr", "0002_agent"),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ("customers", "0009_auto_20191219_1118"),
    ]

    operations = [
        migrations.CreateModel(
            name="CallQA",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "created_at",
                    models.DateTimeField(auto_now_add=True, verbose_name="created at"),
                ),
                ("call_date", models.DateField(verbose_name="Date")),
                ("call_time", models.TimeField(verbose_name="Time")),
                (
                    "customer_phone",
                    models.CharField(
                        blank=True,
                        max_length=255,
                        null=True,
                        verbose_name="Customer phone number",
                    ),
                ),
                ("rut", models.CharField(max_length=20, verbose_name="Rut")),
                (
                    "service_hiring",
                    models.CharField(
                        blank=True,
                        choices=[("1", "Yes"), ("2", "No")],
                        max_length=1,
                        null=True,
                        verbose_name="Service hiring",
                    ),
                ),
                ("typing", models.PositiveSmallIntegerField(verbose_name="Typing")),
                ("category", models.PositiveSmallIntegerField(verbose_name="Category")),
                (
                    "subcategory",
                    models.PositiveSmallIntegerField(verbose_name="Subcategory"),
                ),
                (
                    "qa_comment",
                    models.TextField(
                        blank=True, max_length=255, verbose_name="Observaciones QA"
                    ),
                ),
                (
                    "agent",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="hr.Agent",
                        verbose_name="Voip Now Extension",
                    ),
                ),
            ],
            options={
                "ordering": ["-pk"],
                "permissions": (
                    ("view_call_qa", "Can view calls QA"),
                    ("list_call_qa", "Can list calls QA"),
                ),
            },
        ),
        migrations.CreateModel(
            name="HistoricalAgent",
            fields=[
                (
                    "id",
                    models.IntegerField(
                        auto_created=True, blank=True, db_index=True, verbose_name="ID"
                    ),
                ),
                (
                    "created_at",
                    models.DateTimeField(
                        blank=True, editable=False, verbose_name="created at"
                    ),
                ),
                (
                    "voip_extension",
                    models.CharField(max_length=10, verbose_name="Extension"),
                ),
                ("history_id", models.AutoField(primary_key=True, serialize=False)),
                ("history_date", models.DateTimeField()),
                (
                    "history_type",
                    models.CharField(
                        choices=[("+", "Created"), ("~", "Changed"), ("-", "Deleted")],
                        max_length=1,
                    ),
                ),
                (
                    "history_user",
                    models.ForeignKey(
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
                (
                    "user",
                    models.ForeignKey(
                        blank=True,
                        db_constraint=False,
                        null=True,
                        on_delete=django.db.models.deletion.DO_NOTHING,
                        related_name="+",
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
            ],
            options={
                "verbose_name": "historical agent",
                "ordering": ("-history_date", "-history_id"),
                "get_latest_by": "history_date",
            },
        ),
        migrations.CreateModel(
            name="HistoricalCallQA",
            fields=[
                (
                    "id",
                    models.IntegerField(
                        auto_created=True, blank=True, db_index=True, verbose_name="ID"
                    ),
                ),
                (
                    "created_at",
                    models.DateTimeField(
                        blank=True, editable=False, verbose_name="created at"
                    ),
                ),
                ("call_date", models.DateField(verbose_name="Date")),
                ("call_time", models.TimeField(verbose_name="Time")),
                (
                    "customer_phone",
                    models.CharField(
                        blank=True,
                        max_length=255,
                        null=True,
                        verbose_name="Customer phone number",
                    ),
                ),
                ("rut", models.CharField(max_length=20, verbose_name="Rut")),
                (
                    "service_hiring",
                    models.CharField(
                        blank=True,
                        choices=[("1", "Yes"), ("2", "No")],
                        max_length=1,
                        null=True,
                        verbose_name="Service hiring",
                    ),
                ),
                ("typing", models.PositiveSmallIntegerField(verbose_name="Typing")),
                ("category", models.PositiveSmallIntegerField(verbose_name="Category")),
                (
                    "subcategory",
                    models.PositiveSmallIntegerField(verbose_name="Subcategory"),
                ),
                (
                    "qa_comment",
                    models.TextField(
                        blank=True, max_length=255, verbose_name="Observaciones QA"
                    ),
                ),
                ("history_id", models.AutoField(primary_key=True, serialize=False)),
                ("history_date", models.DateTimeField()),
                (
                    "history_type",
                    models.CharField(
                        choices=[("+", "Created"), ("~", "Changed"), ("-", "Deleted")],
                        max_length=1,
                    ),
                ),
                (
                    "agent",
                    models.ForeignKey(
                        blank=True,
                        db_constraint=False,
                        null=True,
                        on_delete=django.db.models.deletion.DO_NOTHING,
                        related_name="+",
                        to="hr.Agent",
                    ),
                ),
                (
                    "history_user",
                    models.ForeignKey(
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
            ],
            options={
                "verbose_name": "historical call qa",
                "ordering": ("-history_date", "-history_id"),
                "get_latest_by": "history_date",
            },
        ),
        migrations.CreateModel(
            name="HistoricalQAIndicator",
            fields=[
                (
                    "id",
                    models.IntegerField(
                        auto_created=True, blank=True, db_index=True, verbose_name="ID"
                    ),
                ),
                (
                    "created_at",
                    models.DateTimeField(
                        blank=True, editable=False, verbose_name="created at"
                    ),
                ),
                (
                    "description",
                    models.CharField(max_length=255, verbose_name="Description"),
                ),
                ("history_id", models.AutoField(primary_key=True, serialize=False)),
                ("history_date", models.DateTimeField()),
                (
                    "history_type",
                    models.CharField(
                        choices=[("+", "Created"), ("~", "Changed"), ("-", "Deleted")],
                        max_length=1,
                    ),
                ),
                (
                    "history_user",
                    models.ForeignKey(
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
            ],
            options={
                "verbose_name": "historical qa indicator",
                "ordering": ("-history_date", "-history_id"),
                "get_latest_by": "history_date",
            },
        ),
        migrations.CreateModel(
            name="QAIndicator",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "created_at",
                    models.DateTimeField(auto_now_add=True, verbose_name="created at"),
                ),
                (
                    "description",
                    models.CharField(max_length=255, verbose_name="Description"),
                ),
                (
                    "parent",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        to="customers.QAIndicator",
                        verbose_name="Parent",
                    ),
                ),
            ],
            options={"ordering": ["-pk"],},
        ),
        migrations.AlterModelOptions(
            name="historicalplan",
            options={
                "get_latest_by": "history_date",
                "ordering": ("-history_date", "-history_id"),
                "verbose_name": "historical Plan",
            },
        ),
        migrations.AlterModelOptions(
            name="historicalservice",
            options={
                "get_latest_by": "history_date",
                "ordering": ("-history_date", "-history_id"),
                "verbose_name": "historical Servicio",
            },
        ),
        migrations.AlterModelOptions(
            name="plan",
            options={
                "ordering": ["-pk"],
                "permissions": (("list_plan", "Can list plans"),),
                "verbose_name": "Plan",
                "verbose_name_plural": "Planes",
            },
        ),
        migrations.AlterModelOptions(
            name="service",
            options={
                "ordering": ["-number"],
                "permissions": (
                    ("export_service", "Can export service data"),
                    ("view_service", "Can view service data"),
                    ("list_service", "Can list service data"),
                    ("view_dashboard", "Can view the dashboard"),
                ),
                "verbose_name": "Servicio",
                "verbose_name_plural": "Servicios",
            },
        ),
        migrations.AddField(
            model_name="historicalqaindicator",
            name="parent",
            field=models.ForeignKey(
                blank=True,
                db_constraint=False,
                null=True,
                on_delete=django.db.models.deletion.DO_NOTHING,
                related_name="+",
                to="customers.QAIndicator",
            ),
        ),
        migrations.AddField(
            model_name="callqa",
            name="indicators",
            field=models.ManyToManyField(to="customers.QAIndicator"),
        ),
        migrations.AddField(
            model_name="callqa",
            name="service",
            field=models.ManyToManyField(blank=True, to="customers.Service"),
        ),
        migrations.CreateModel(
            name="BalanceService",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("balance", models.IntegerField()),
            ],
            options={"managed": False,},
        ),
        migrations.CreateModel(
            name="FinancialRecordService",
            fields=[
                (
                    "record_id",
                    models.CharField(max_length=255, primary_key=True, serialize=False),
                ),
                ("ts", models.DateTimeField()),
                ("paid", models.BooleanField()),
                ("charge", models.PositiveIntegerField()),
                ("credit", models.PositiveIntegerField()),
                ("comment", models.CharField(max_length=255)),
            ],
            options={"managed": False,},
        ),
        migrations.AddField(
            model_name="customer",
            name="change_to_service",
            field=models.BooleanField(default=False),
        ),
        migrations.AddField(
            model_name="historicalcustomer",
            name="change_to_service",
            field=models.BooleanField(default=False),
        ),
        migrations.AddField(
            model_name="historicalinvoice",
            name="kind_load",
            field=models.PositiveSmallIntegerField(
                choices=[(1, "manual"), (2, "not found"), (3, "multiples services")],
                default=1,
                verbose_name="kind_load",
            ),
        ),
        migrations.AddField(
            model_name="historicalpayment",
            name="kind_load",
            field=models.PositiveSmallIntegerField(
                choices=[(1, "manual"), (2, "not found"), (3, "multiples services")],
                default=1,
                verbose_name="kind_load",
            ),
        ),
        migrations.AddField(
            model_name="historicalpayment",
            name="operation_number",
            field=models.CharField(
                blank=True, max_length=75, verbose_name="operation number"
            ),
        ),
        migrations.AddField(
            model_name="historicalservice",
            name="unified_billing",
            field=models.BooleanField(default=False, verbose_name="unified billing"),
        ),
        migrations.AddField(
            model_name="invoice",
            name="kind_load",
            field=models.PositiveSmallIntegerField(
                choices=[(1, "manual"), (2, "not found"), (3, "multiples services")],
                default=1,
                verbose_name="kind_load",
            ),
        ),
        migrations.AddField(
            model_name="invoice",
            name="service",
            field=models.ManyToManyField(blank=True, to="customers.Service"),
        ),
        migrations.AddField(
            model_name="payment",
            name="kind_load",
            field=models.PositiveSmallIntegerField(
                choices=[(1, "manual"), (2, "not found"), (3, "multiples services")],
                default=1,
                verbose_name="kind_load",
            ),
        ),
        migrations.AddField(
            model_name="payment",
            name="operation_number",
            field=models.CharField(
                blank=True, max_length=75, verbose_name="operation number"
            ),
        ),
        migrations.AddField(
            model_name="payment",
            name="service",
            field=models.ManyToManyField(blank=True, to="customers.Service"),
        ),
        migrations.AddField(
            model_name="service",
            name="unified_billing",
            field=models.BooleanField(default=False, verbose_name="unified billing"),
        ),
        migrations.AlterField(
            model_name="payment",
            name="customer",
            field=models.ForeignKey(
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                to="customers.Customer",
                verbose_name="customer",
            ),
        ),
    ]
